# getRequested

abstract fun getRequested(): Provider<Boolean>

How the feature was requested:

- true - explicitly enabled (e.g. `--configuration-cache`)
- false - explicitly disabled (e.g. `--no-configuration-cache`)
- provider has no value - no preference, default behavior

Use getOrNull to safely retrieve a nullable value or check isPresent as the provider can have no value in the case there is no explicit request.

Note that enabling the feature doesn't necessary mean the feature will be activated. See BuildFeature for more details.

Use getActive to get the effective status of the feature.

#### Return

The provider that can have no value and its value denotes the requested status of a feature

#### Since

8.5